*	{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html{
	scroll-behavior: smooth;
}

body {
    background-color: #000;
    color: #FFF ;
    font-family: "Montserrat", sans-serif;
    margin: 0;
    padding: 0;
    line-height: 2.2;
    overflow-x: hidden;

}

h2 {
    border-bottom: #86A5FF 1px solid;
    padding-bottom: 1px;
    width: fit-content;
    margin: 0 auto 5% auto;
    text-align: center;
}


/*---------------- PARTIE INTRO ----------------*/

.container-fond {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    position: relative;
    background-image:
        linear-gradient(to bottom, rgba(0,0,0,0.1) 80%, rgba(0, 0, 0, 0.98) 100%),
        url("../img/comm/fond_comm4.jpg");
    background-size: cover;
    background-position: center;
    min-height: 100vh;
    height: auto;
    overflow: hidden;
}

.container-fond::after {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.7);
}

.container-fond * {
    position: relative;
    z-index: 2;
}


.intro {
    padding: 0 60px;
    text-align: center;
}

.intro h1 {
    font-size: 40px;
}

.intro p {
    font-size: 18px;
    opacity: 0.8;
}

/*---------------- PARTIE EXPERTISE ----------------*/

.page-section {
    padding: 0 10%;
    text-align: center;
}

.video {
 padding: 10% 10%;
}

.container-expertise {
    margin: 0 auto;
    max-width: 900px;
    padding: 4%;
  background: rgba(255, 255, 255, 0.05);
    border-radius: 40px;
}

.container-expertise::before {
    content: "";
    position: absolute;
    inset: -200px;
    background: radial-gradient(circle, rgba(134,165,255,0.25), transparent 40%);
}

.text-expertise {
    max-width: 800px;
    margin: auto;
    font-size: 18px;
    line-height: 1.8;
}

/*---------------- PARTIE SERVICES ----------------*/

.grid-services {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
    margin-top: 40px;
    align-items: stretch;
    grid-auto-rows: auto;
}

.card {
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border: 1px solid #86A5FF;
    border-radius: 15px;
    padding: 25px;
    background: rgba(255,255,255,0.05);
    transition: 0.3s;
    background-size: cover;
    background-position: center;
    min-height: 250px;
    height: 100%;
}

.card:hover {
    transform: scale(1.05);
    transition: transform 0.4s ease;
    border: 1px solid white;
}

.card::after {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.7);
}

.card * {
    position: relative;
    z-index: 2;
}

.decouvrir {
    margin-top: auto;
    display: inline-flex;
    align-items: center;
    gap: 6px;
    color: #86A5FF;
    font-weight: 500;
    letter-spacing: 1px;
    transition: 0.3s;
    transition: color 0.3s;
}

.decouvrir::after {
    content: "→";
    transition: 0.3s;
}

.decouvrir:hover {
    transform: translateX(5px);
    color: white;
}

.contenu {
    background-image: url(../img/comm/contenu.jpg);
}
.identite {
    background-image: url(../img/comm/identite.jpeg);
}
.management {
    background-image: url(../img/comm/management.jpg);
}
.strategie {
    background-image: url(../img/comm/strategie.jpg);
}

/*---------------- PARTIE VIDEO ----------------*/

.video-container {
    max-width: 900px;
    margin: auto;
}

/*---------------- PARTIE CTA ----------------*/

.cta {
  padding: 80px 10%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 40px;
  background: #000145;
}

.cta-left h2 {
    margin: 0;
    font-size: 56px;
    font-weight: 600;
    letter-spacing: 1px;
    line-height: 1;
    margin-bottom: 12px;
    border-bottom: #86A5FF 0px solid;
    text-align: left;
}

.cta-left h2 span { 
    color: #86A5FF; 
}

.cta-left p {
  font-size: 14px;
  color: #e7e7e7;
  line-height: 1.7;
  max-width: 340px;
}

.btn {
  padding: 16px 36px;
  background: white;
  color: #000;
  font-size: 11px;
  font-weight: 600;
  letter-spacing: 3px;
  text-transform: uppercase;
  border-radius: 4px;
}


/*---------------- PARTIE RESPONSIVE ----------------*/

@media (max-width: 768px) {
    .grid-services {
        grid-template-columns: 1fr;
    }
}

@media screen and (max-width: 1300px) {
  .container-expertise::before {
    inset: 0;
    }

    .intro h1 {
    margin-top: 0;
    font-size: 40px;
    margin-bottom: 20px;
    line-height: 1.4;
}
}

@media screen and (max-width: 875px) {

    .cta {
        flex-direction: column;
    }
    .cta-left h2 {
        font-size: 36px;
        text-align: center;
    }

    .cta-left {
    display: flex;
    flex-direction: column;
    align-items: center;
}

    .cta-left p {
        text-align: center;
    }
    .btn {
        padding: 8px 7px;
        font-size: 8px;
    }
}

@media screen and (max-width: 720px) {

    .decouvrir {
    font-size: 14px;
    }

    .card {
        min-height: 0;
        padding: 10px;
    }

    .card h3 {
        font-size: 18px;
    }

    .card p {
        font-size: 14px;
        line-height: 1.4;
    }

    .intro h1 {
        font-size: 25px;
    }

    .intro {
        padding: 10%  10% 0 10%;
    }


    h2 {
        font-size: 24px !important; 
    }

    .container-expertise p {
        font-size: 15px;
    }

    .page-section {
    padding: 10% 10%;
    }
}
    


/*---------------- PARTIE FOOTER ----------------*/